#! /bin/sh
#
# Scans src/token_enum.h and creates token_names.h
#
# $Id: make_token_names.sh 353 2006-07-25 23:38:20Z bengardner $
#

infile="token_enum.h"
outfile="token_names.h"

if [ -d src ] ; then
  infile="src/"$infile
  outfile="src/"$outfile
fi

names=$(grep "CT_" $infile | sed -e 's/,.*//g')

# do a little trick to prevent CVS from expanding the id tag
idstr="Id: $"

cat > $outfile <<EOF
/*
 * Generated by $(basename $0) on $(date)
 * \$$idstr
 */

#ifndef TOKEN_NAMES_H_INCLUDED
#define TOKEN_NAMES_H_INCLUDED

const char *token_names[] =
{
EOF

for item in $names ; do
    name=$(echo $item | sed -e 's/CT_//g')
    echo "   \"$name\"," >> $outfile
done

cat >> $outfile <<EOF
};

#endif  /* TOKEN_NAMES_H_INCLUDED */

EOF

